using UnityEngine;
using System.Collections;

namespace GGJ16
{
    public class Client : MonoBehaviour
    {
        public int currentPlayerTurn;

        public static Client instance;
        public TurnService turnService;
        public PlayerService playerService;

        void Awake()
        {
            if (instance != null)
            {
                Debug.LogError("Singleton violation");
                return;
            }

            instance = this;
        }

        void Start()
        {
            turnService = TurnService.instance;
            playerService = PlayerService.instance;
        }
    }
}
